Subject: Re: Port of ddd-3.1.4 to cygwin 20.1
From: Laurent Charles <[email-masked]>
To: [email-masked], ddd-user <[email-masked]>
Cc: [email-masked]
Date: Fri, 09 Apr 1999 08:58:59 +0200

Hi,

I succeded in rebuild ddd-3.1.4 for cygwin with the patch below.
However I still have a set of problems. I faced these problems already
with the binary release 3.1.2.

- CPU usage:
When running, ddd loads permanently the CPU to 100%. I suspected a
problem with my X server, but this happens with every X server I tried.

- Buttons and glyphs
The marging icons which show for example the current line or breakpoints
never appear. It works with text characters.
And I don't see the bitmaps on the toolbar buttons (with the 3.1.4 I
rebuilt. It works with the 3.1.2 binary).

I suspect that it could be either XPM or my X11 libs...?
I tried the different binary release available without much success.

Did anyone face the same problems?
If some of you have ddd which works well, would you mind sending me
information, fixes, pointers to binary that work, etc.? (Maybe you can
send the information privately to avoid duplicates in the list. I'll
post a summary with the useful information I'll get).

Thank you in advance for your help.

--Laurent

[email-masked] wrote:
> I have ported Data Display Debugger ddd-3.1.4
> http://www.cs.tu-bs.de/softech/ddd/ to cygwin.
> Seems to work ok, but not well tested.
> 
> There was a problem with ddd/configure.  Some tests failed as -lSM was
> before -lXt in some tests.
> Patch below fixes the configure file.  The root cause is left as an exercise
> for the reader ;->
> 
> My setup is
> NT4 SP4
> cygwin b20.1
> X11R6.4 libraries from http://dao.gsfc.nasa.gov/software/grads/X11R6.4/
> egcs-1.1.2 from  http://www.xraylith.wisc.edu/~khan/software/gnu-win32/
> Exceed X server
> 
> *** ddd-3.1.4/ddd/configure.orig        Wed Apr 07 23:12:04 1999
> --- ddd-3.1.4/ddd/configure     Wed Apr 07 23:29:32 1999
> ***************
> *** 6553,6559 ****
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXaw ${X_PRE_LIBS} ${XAW_LIBS} ${XT_LIBS} ${XEXT_LIBS} ${X11_LIBS}
> $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6559 "configure"
>   #include "confdefs.h"
> --- 6553,6559 ----
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXaw ${XAW_LIBS} ${XT_LIBS} ${X_PRE_LIBS} ${XEXT_LIBS} ${X11_LIBS}
> $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6559 "configure"
>   #include "confdefs.h"
> ***************
> *** 6792,6798 ****
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXp ${X_PRE_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS} ${XEXT_LIBS}
> ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6798 "configure"
>   #include "confdefs.h"
> --- 6792,6798 ----
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXp  ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS} ${X_PRE_LIBS} ${XEXT_LIBS}
> ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6798 "configure"
>   #include "confdefs.h"
> ***************
> *** 6839,6845 ****
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXm ${X_PRE_LIBS} ${XP_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS}
> ${XEXT_LIBS} ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6845 "configure"
>   #include "confdefs.h"
> --- 6839,6845 ----
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXm ${XP_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS} ${X_PRE_LIBS}
> ${XEXT_LIBS} ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6845 "configure"
>   #include "confdefs.h"
> ***************
> *** 6886,6892 ****
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXm ${X_PRE_LIBS} ${XP_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS}
> ${XEXT_LIBS} ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6892 "configure"
>   #include "confdefs.h"
> --- 6886,6892 ----
>     echo $ac_n "(cached) $ac_c" 1>&6
>   else
>     ac_save_LIBS="$LIBS"
> ! LIBS="-lXm ${XP_LIBS} ${XPM_LIBS} ${XEXT_LIBS} ${XT_LIBS} ${X_PRE_LIBS}
> ${XEXT_LIBS} ${X11_LIBS} ${LIBGEN} $LIBS"
>   cat > conftest.$ac_ext <<EOF
>   #line 6892 "configure"
>   #include "confdefs.h"
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]

--
Want to unsubscribe from this list?
Send a message to [email-masked]